/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef __PATHAN_XPATHNSRESOLVER_HPP
#define __PATHAN_XPATHNSRESOLVER_HPP

#include "Pathan.hpp"

#include <xercesc/dom/DOM.hpp>

class PATHAN_EXPORT XPathNSResolver
{
public:

  virtual ~XPathNSResolver();

  virtual const XMLCh* lookupNamespaceURI(const XMLCh* prefix) const = 0;

protected:

  XPathNSResolver();
  XPathNSResolver& operator=(const XPathNSResolver& other);
  XPathNSResolver(const XPathNSResolver& other);
};//XPathNSResolver

#endif //__PATHAN_XPATHNSRESOLVER_HPP
